location = /connecttest.txt {
    return 200;
}

location = /redirect {
    rewrite ^/(.*)$ http://192.168.8.1:80 redirect;
}

location = /hotspot-detect.html {
    rewrite ^/(.*)$ http://192.168.8.1:80 redirect;
}

location ^~ /generate_204 {
    rewrite ^/(.*)$ http://192.168.8.1:80 redirect;
}